com.impinj.octane

## Enum ReadResultStatus

- java.lang.Object
- - java.lang.Enum<ReadResultStatus>
  - - com.impinj.octane.ReadResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReadResultStatus>

      public enum ReadResultStatus
      extends java.lang.Enum<ReadResultStatus>

  An enumeration that conveys the status of a tag read operation
  See Also:
    `TagReadOpResult`, `TagReadOp`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag read operation was successful.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static ReadResultStatus` | `valueOf(int readResultStatusValue)`
    `static ReadResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final ReadResultStatus Success

      The tag read operation was successful.

    - #### NonspecificTagError

          public static final ReadResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final ReadResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final ReadResultStatus NonspecificReaderError

      An unidentified reader error occurred.

  - ### Method Detail

    - #### values

          public static ReadResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadResultStatus c : ReadResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static ReadResultStatus valueOf(int readResultStatusValue)

      Parameters:
        `readResultStatusValue` - integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration